<template lang="pug">
BaseCard(:title="`Shift Statistics By Institute - ${year}`")
  li(key='results-inst').p-0
    BaseModalLoader(:isLoading="loading")
    .col-12.p-0
      table.table.table-sm.table-hover.text-center.m-0.p-0
        thead.bg-light.table-head
          tr
            th Institute
            th Persons
            th(v-if='all') Total Shifts Signed
            th(v-else) Total Shifts Performed
            th Points Signed
            th Due Points
            th Coverage
        tbody
          tr(v-if="totalRow")
            td.text-right.font-weight-bold TOTAL
            td {{ totalRow.sumPersons }}
            td {{ totalRow.sumTotalShifts }}
            td.font-weight-bold(:class="{ 'text-danger': totalRow.sumPointsShifts < totalRow.sumDuePoints }") {{ totalRow.sumPointsShifts }}
            td.font-weight-bold(:class="{ 'text-danger': totalRow.sumPointsShifts < totalRow.sumDuePoints }") {{ totalRow.sumDuePoints }}
            td {{ totalRow.coverage }}%
          tr(v-for="row in stats.instStats" :class="{ 'table-danger': (all && row.pointsShifts < row.duePoints) }")
            template(v-if='inst' v-for='inst in [ getInstitute(row.instId) ]')
              template(v-if='row.isSpecialInst')
                td
                  pre.m-0.p-0.mt-1 Cancelled / Reserved
              template(v-else)
                td
                  InstituteLink(:id="inst.id" :institute="inst")
                    tt.m-0.p-0 {{ inst.alias }} - {{ inst.city }}
              td {{ row.persons | counter }}
              td {{ row.totalShifts | counter }}
              td.font-weight-bold(:class="{ 'text-danger': (all && row.pointsShifts < row.duePoints) }") {{ row.pointsShifts | counter }}
              td.font-weight-bold(:class="{ 'text-danger': (all && row.pointsShifts < row.duePoints) }") {{ row.duePoints | counter }}
              td(v-if='row.isSpecialInst') -
              td(v-else :class="{ 'text-danger font-weight-bold': (all && row.pointsShifts < row.duePoints), 'text-success font-weight-bold': (all && row.pointsShifts > row.duePoints) }") {{ row.coverage }}%

  li(key='results-oncall').p-0
    BaseModalLoader(:isLoading="loading")
    .col-12
      .h3.my-4 OnCall Statistics
    .col-12.p-0
      table.table.table-sm.table-hover.text-center.m-0.p-0
        thead.bg-light.table-head
          tr
            th Name
            th Total Signed
        tbody
          tr(v-for="row in stats.onCallStats")
            template(v-if='user' v-for='user in [ getUser(row.userId) ]')
              td
                UserLink(:id="user.id" :user="user")
                    tt.m-0.p-0  {{ user.lastName }}, {{ user.firstName }} ({{ row.instAlias }})
              td {{ row.signed }}
</template>
<script>

export { default } from './ShiftsStatsByInstitute.vue.js';

</script>
